*! version 1.0
* 05 August 2016
* NIDS
* Correcting the variable unemwnt* to make it consistent across waves.

/*  
NOTE TO USER
This do file corrects the variable name for the question: How long have you been wanting work and been without any paid employment?
The variable was inconsistently named across waves 
The changes are made to wave 2, 3 and 4 Adult Datasets
 */
 
*===========================================================================================================================================
*WAVE 2

global IN "C:\Users\Admin\Desktop\Data\Wave 2"
global OUT "C:\Users\Admin\Desktop\Data\Wave 2\Output"
global VersionIN "W2_Anon_V3.1"
global VersionOUT "Edited_W2_Anon_V3.1"

use "$IN\Adult_$VersionIN.dta", clear

rename w2_a_unemwnt_dy 		w2_a_unemwnt_v
rename w2_a_unemwnt_dyunit 	w2_a_unemwnt_u

save "$OUT\Adult_$VersionOUT.dta"

*===========================================================================================================================================
*WAVE 3

global IN "C:\Users\Admin\Desktop\Data\Wave 3"
global OUT "C:\Users\Admin\Desktop\Data\Wave 3\Output"
global VersionIN "W3_Anon_V2.1"
global VersionOUT "Edited_W3_Anon_V2.1"

use "$IN\Adult_$VersionIN.dta", clear

rename w3_a_unemwnt_dy 		w3_a_unemwnt_u
recode w3_a_unemwnt_u (1=2) (2=1)

label 	define	w3_empperiodunit	1	"Months"	, modify
label 	define	w3_empperiodunit	2	"Years"	, modify

save "$OUT\Adult_$VersionOUT.dta"

*===========================================================================================================================================
*WAVE 4

global IN "C:\Users\Admin\Desktop\Data\Wave 4"
global OUT "C:\Users\Admin\Desktop\Data\Wave 4\Output"
global VersionIN "W4_Anon_V1.1"
global VersionOUT "Edited_W4_Anon_V1.1"

use "$IN\Adult_$VersionIN.dta", clear

rename w4_a_unemwnt_dy 		w4_a_unemwnt_u

save "$OUT\Adult_$VersionOUT.dta"

